Index: /trunk/gsdl/src/recpt/datelistbrowserclass.h
===================================================================
--- /trunk/gsdl/src/recpt/datelistbrowserclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/datelistbrowserclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/delhistoryaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/delhistoryaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/delhistoryaction.cpp	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -208,7 +206,2 @@
   return result;
 }
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/delhistoryaction.h
===================================================================
--- /trunk/gsdl/src/recpt/delhistoryaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/delhistoryaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -76,3 +74,2 @@
 
 #endif
-
Index: /trunk/gsdl/src/recpt/documentaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/documentaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/documentaction.cpp	(revision 1285)
@@ -22,159 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.39  2000/07/05 21:49:31  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.38  2000/05/04 05:18:46  sjboddie
-   attempting to get end-user collection building to work under windows
-
-   Revision 1.37  2000/04/07 04:40:44  sjboddie
-   Reverted back to old DocumentHeader, DocumentTitles, DocumentImages etc.
-   from DocumentColumns stuff. I'll move the DocumentColumns stuff to a
-   separate development branch (New_Config_Format-branch) for now. The plan
-   is to redesign the configuration file format a bit and limit the number of
-   distributions floating around that take different configuration formats).
-
-   Revision 1.34  2000/02/15 22:53:49  kjm18
-   search history stuff added.
-
-   Revision 1.33  2000/02/13 20:40:05  sjboddie
-   now dm_safe _thisOID_ macro
-
-   Revision 1.32  2000/01/25 22:39:15  sjboddie
-   added DocumentUseHTML - tidied some things up (and messed up some others)
-
-   Revision 1.31  1999/11/13 08:57:00  sjboddie
-   fixed bug in last changes
-
-   Revision 1.30  1999/11/01 21:54:27  sjboddie
-   changes for cross-collection searching - changes to arguments
-   of many functions
-
-   Revision 1.29  1999/10/24 07:23:40  sjboddie
-   added FullTOC option
-
-   Revision 1.28  1999/10/19 03:23:42  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.27  1999/10/14 23:00:53  sjboddie
-   finished changes to browsing support
-
-   Revision 1.26  1999/10/10 08:14:06  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.25  1999/09/17 04:46:05  sjboddie
-   fixed a couple of problems with 'unknown' classifier
-
-   Revision 1.24  1999/09/17 04:00:26  sjboddie
-   tidied up navigation bar to produce a default "unknown" button if
-   it comes across metadata it can't display
-
-   Revision 1.23  1999/09/07 04:56:54  sjboddie
-   added GPL notice
-
-   Revision 1.22  1999/08/20 01:00:22  sjboddie
-   split some of the larger functions up to simplify the creation of
-   collection specific receptionists
-
-   Revision 1.21  1999/08/11 23:28:03  sjboddie
-   -added support for html classifier
-   - removed _random_ macro - now use _blank for detach page
-
-   Revision 1.20  1999/08/10 23:16:39  sjboddie
-   a couple of small changes to get format options DocumentArrowsBottom
-   and DocumentArrowsTop working correctly
-
-   Revision 1.19  1999/08/10 22:40:01  sjboddie
-   added some more format options including the ability to format the
-   document text
-
-   Revision 1.18  1999/08/09 04:25:18  sjboddie
-   moved OID translation stuff from documentaction::define_external_macros
-   to receptionist
-
-   Revision 1.17  1999/08/09 02:13:53  sjboddie
-   fixed small bug in ShowSectionTitles
-
-   Revision 1.16  1999/08/03 03:30:47  sjboddie
-   a few small changes related to new format options
-
-   Revision 1.15  1999/07/30 02:18:49  sjboddie
-   -added collectinfo argument to some functions
-   -caught up with changes to browsetools (allowing nested classifications)
-   -added showtoppage format option
-
-   Revision 1.14  1999/07/21 05:01:09  sjboddie
-   fixed up wrapping of classificationlinks
-
-   Revision 1.13  1999/07/20 02:59:54  sjboddie
-   List and AZList classifications now use format strings
-
-   Revision 1.12  1999/07/16 00:19:01  sjboddie
-   some changes to the way quoted queries are handled
-
-   Revision 1.11  1999/07/07 05:47:41  sjboddie
-   changed around the way browsetools works
-
-   Revision 1.10  1999/06/29 01:46:44  sjboddie
-   now sets a _navigationbar_ macro even if there aren't any
-   classifications (it will just have the 'search' button
-
-   Revision 1.9  1999/06/27 22:05:58  sjboddie
-   now set a _thisOID_ macro for use in displaying images
-
-   Revision 1.8  1999/06/24 05:12:20  sjboddie
-   lots of small changes
-
-   Revision 1.7  1999/06/17 03:06:58  sjboddie
-   got detach button working properly - the close book icon is now disabled
-   when page is detached as the javascript close() function I was using is
-   too unreliable over different browsers
-   note that in my last comment I meant the "cl" arg (not the "c" arg).
-
-   Revision 1.6  1999/06/16 23:53:15  sjboddie
-   tidied a few things up. documentaction::define_external_macros now
-   resets the "c" arg if it's set to something stupid by the .xx suffixes
-
-   Revision 1.5  1999/06/16 03:10:49  sjboddie
-   define_internal_macros() now sets _pagetitle_ macro to document's title
-   (including parents of current document)
-
-   Revision 1.4  1999/06/15 01:55:29  sjboddie
-   - got text highlighting working
-   - got multiple collections working (now outputs error message if an
-     attempt is made to get a document when the "c" arg isn't set.
-
-   Revision 1.3  1999/06/08 04:29:37  sjboddie
-   added argsinfo to the call to check_cgiargs to make it easy to set
-   args to their default if they're found to be screwed up
-
-   Revision 1.2  1999/05/10 03:40:35  sjboddie
-   lots of changes - slowly getting document action sorted out
-
-   Revision 1.1  1999/04/30 01:59:40  sjboddie
-   lots of stuff - getting documentaction working (documentaction replaces
-   old browseaction)
-
-   Revision 1.2  1999/03/29 02:14:27  sjboddie
-
-   More changes to browseaction
-
-   Revision 1.1  1999/03/25 03:09:40  sjboddie
-
-   subjectbrowseaction became browseaction
-
-
- */
-
 
 #include <string.h>
Index: /trunk/gsdl/src/recpt/documentaction.h
===================================================================
--- /trunk/gsdl/src/recpt/documentaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/documentaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -106,4 +104,2 @@
 
 #endif
-
-
Index: /trunk/gsdl/src/recpt/formattools.cpp
===================================================================
--- /trunk/gsdl/src/recpt/formattools.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/formattools.cpp	(revision 1285)
@@ -22,81 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.21  2000/06/30 00:40:39  sjboddie
-   Tidied up a bit. Fixed bug in formattools. Nested If/Or's should now
-   work within formatstrings.
-
-   Revision 1.20  2000/04/07 04:40:44  sjboddie
-   Reverted back to old DocumentHeader, DocumentTitles, DocumentImages etc.
-   from DocumentColumns stuff. I'll move the DocumentColumns stuff to a
-   separate development branch (New_Config_Format-branch) for now. The plan
-   is to redesign the configuration file format a bit and limit the number of
-   distributions floating around that take different configuration formats).
-
-   Revision 1.17  2000/01/26 20:10:31  sjboddie
-   changed the default order of detach/expand/highlight buttons
-
-   Revision 1.16  2000/01/25 22:33:31  sjboddie
-   added DocumentUseHTML
-
-   Revision 1.15  1999/12/13 02:45:16  davidb
-   Support for more than one metavalue for the same metadata name
-
-   Revision 1.14  1999/10/30 22:23:11  sjboddie
-   moved table functions from browsetools
-
-   Revision 1.13  1999/10/14 23:01:24  sjboddie
-   changes for new browsing support
-
-   Revision 1.12  1999/10/10 08:14:07  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.11  1999/09/28 20:38:19  rjmcnab
-   fixed a couple of bugs
-
-   Revision 1.10  1999/09/07 04:56:55  sjboddie
-   added GPL notice
-
-   Revision 1.9  1999/09/02 00:31:25  rjmcnab
-   fixed small error.
-
-   Revision 1.8  1999/08/20 00:56:38  sjboddie
-   added cgisafe option - you can now do something like [cgisafe:Title] if
-   you want Title to be entered safely into a url
-
-   Revision 1.7  1999/08/10 22:38:08  sjboddie
-   added some more format options
-
-   Revision 1.6  1999/07/30 02:25:42  sjboddie
-   made format_date function global
-
-   Revision 1.5  1999/07/21 05:00:00  sjboddie
-   added some date formatting
-
-   Revision 1.4  1999/07/20 03:02:15  sjboddie
-   added an [icon] option, added ability to call get_formatted_string
-   with icon and link arguments set
-
-   Revision 1.3  1999/07/09 02:44:35  sjboddie
-   fixed parent(All) function so it only outputs parents and not current
-   level meta
-
-   Revision 1.2  1999/07/08 20:48:33  rjmcnab
-   Added ability to print the result number
-
-   Revision 1.1  1999/07/07 05:49:34  sjboddie
-   had another crack at the format string code - created a new formattools
-   module. It can now handle {If} and {Or} statements although there's a
-   bug preventing nested if's and or's.
-
- */
-
 
 #include "formattools.h"
@@ -717,4 +641,2 @@
   return ft;
 }
-
-
Index: /trunk/gsdl/src/recpt/formattools.h
===================================================================
--- /trunk/gsdl/src/recpt/formattools.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/formattools.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/historydb.cpp
===================================================================
--- /trunk/gsdl/src/recpt/historydb.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/historydb.cpp	(revision 1285)
@@ -22,21 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-  $Log$
-  Revision 1.4  2000/02/29 21:00:28  sjboddie
-  fixed some compiler warnings
-
-  Revision 1.3  2000/02/21 22:01:02  sjboddie
-  gsdlhome now comes from gsdlsite.cfg
-
-  Revision 1.2  2000/02/17 02:40:21  sjboddie
-  tidied up a bit - fixed a bug (gdbm file wasn't always being closed properly)
-
-
-  */
 
 #include "historydb.h"
@@ -622,11 +606,2 @@
   logout << "in format user info - end";
 }
-
-
-
-
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/historydb.h
===================================================================
--- /trunk/gsdl/src/recpt/historydb.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/historydb.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -94,4 +92,2 @@
 
 #endif
-
-
Index: /trunk/gsdl/src/recpt/hlistbrowserclass.cpp
===================================================================
--- /trunk/gsdl/src/recpt/hlistbrowserclass.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/hlistbrowserclass.cpp	(revision 1285)
@@ -22,35 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.7  2000/02/29 21:00:29  sjboddie
-   fixed some compiler warnings
-
-   Revision 1.6  1999/11/01 22:04:12  sjboddie
-   just a few small changes (that means I can't remember ;)
-
-   Revision 1.5  1999/10/30 23:02:01  sjboddie
-   tidied up, fixed a small bug
-
-   Revision 1.4  1999/10/30 22:15:23  sjboddie
-   added a collection argument
-
-   Revision 1.3  1999/10/20 03:54:21  sjboddie
-   problem with expanded contents
-
-   Revision 1.2  1999/10/14 22:59:34  sjboddie
-   finished off browser classes
-
-   Revision 1.1  1999/10/10 08:14:08  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
- */
-
 
 #include "hlistbrowserclass.h"
Index: /trunk/gsdl/src/recpt/hlistbrowserclass.h
===================================================================
--- /trunk/gsdl/src/recpt/hlistbrowserclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/hlistbrowserclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -64,3 +62,2 @@
 
 #endif
-
Index: /trunk/gsdl/src/recpt/htmlbrowserclass.cpp
===================================================================
--- /trunk/gsdl/src/recpt/htmlbrowserclass.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/htmlbrowserclass.cpp	(revision 1285)
@@ -22,16 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.1  1999/10/18 20:09:17  sjboddie
-   new browserclass
-
-
- */
-
 
 #include "htmlbrowserclass.h"
Index: /trunk/gsdl/src/recpt/htmlbrowserclass.h
===================================================================
--- /trunk/gsdl/src/recpt/htmlbrowserclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/htmlbrowserclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/htmlgen.cpp
===================================================================
--- /trunk/gsdl/src/recpt/htmlgen.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/htmlgen.cpp	(revision 1285)
@@ -22,30 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.4  1999/09/07 04:56:55  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/02/11 01:24:04  rjmcnab
-
-   Fixed a few compiler warnings.
-
-   Revision 1.2  1999/02/08 01:28:02  rjmcnab
-
-   Got the receptionist producing something using the statusaction.
-
-   Revision 1.1  1999/01/08 08:40:56  rjmcnab
-
-   Moved from lib directory.
-
-   Revision 1.1  1999/01/08 03:57:46  rjmcnab
-
-   Initial revision
-
- */
 
 #include "htmlgen.h"
@@ -121,4 +96,2 @@
   textout << outconvert << buffer;
 }
-
-
Index: /trunk/gsdl/src/recpt/htmlgen.h
===================================================================
--- /trunk/gsdl/src/recpt/htmlgen.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/htmlgen.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/htmlutils.cpp
===================================================================
--- /trunk/gsdl/src/recpt/htmlutils.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/htmlutils.cpp	(revision 1285)
@@ -22,36 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.6  2000/05/04 05:17:46  sjboddie
-   moved dm_safe from htmlutils to gsdltools
-
-   Revision 1.5  2000/02/13 20:38:59  sjboddie
-   added dm_safe function
-
-   Revision 1.4  1999/09/07 04:56:56  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/06/09 00:09:30  sjboddie
-   Added a fairly minimal html_safe function
-
-   Revision 1.2  1999/02/08 01:28:02  rjmcnab
-
-   Got the receptionist producing something using the statusaction.
-
-   Revision 1.1  1999/01/08 08:40:58  rjmcnab
-
-   Moved from lib directory.
-
-   Revision 1.1  1999/01/08 03:57:47  rjmcnab
-
-   Initial revision
-
- */
-
 
 #include "htmlutils.h"
Index: /trunk/gsdl/src/recpt/htmlutils.h
===================================================================
--- /trunk/gsdl/src/recpt/htmlutils.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/htmlutils.h	(revision 1285)
@@ -22,6 +22,4 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
 
Index: /trunk/gsdl/src/recpt/infodbclass.cpp
===================================================================
--- /trunk/gsdl/src/recpt/infodbclass.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/infodbclass.cpp	(revision 1285)
@@ -22,46 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.7  2000/05/04 08:21:30  sjboddie
-   modifications for windows port of GCC
-
-   Revision 1.6  2000/02/15 22:53:50  kjm18
-   search history stuff added.
-
-   Revision 1.5  1999/10/19 03:23:42  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.4  1999/09/07 04:56:56  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/09/02 00:26:10  rjmcnab
-   now there can be multiple values for a single key
-
-   Revision 1.2  1999/07/13 23:24:05  rjmcnab
-   Added functionality to modify a gdbm database.
-
-   Revision 1.1  1999/07/11 08:27:52  rjmcnab
-   Moved from src/colservr and added capability to write out data.
-
-   Revision 1.4  1999/05/10 03:43:48  sjboddie
-   lots of changes to lots of files - getting document action going
-
-   Revision 1.3  1999/04/30 02:00:46  sjboddie
-   lots of stuff to do with getting documentaction working
-
-   Revision 1.2  1999/04/06 22:20:31  rjmcnab
-   Got browsefilter working.
-
-   Revision 1.1  1999/03/30 05:10:07  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "infodbclass.h"
@@ -586,4 +545,2 @@
   return true;
 }
-
-
Index: /trunk/gsdl/src/recpt/infodbclass.h
===================================================================
--- /trunk/gsdl/src/recpt/infodbclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/infodbclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -186,7 +184,2 @@
 
 #endif
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/invbrowserclass.cpp
===================================================================
--- /trunk/gsdl/src/recpt/invbrowserclass.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/invbrowserclass.cpp	(revision 1285)
@@ -22,19 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.2  1999/10/14 22:59:34  sjboddie
-   finished off browser classes
-
-   Revision 1.1  1999/10/10 08:28:06  sjboddie
-   - metadata now returns map rather than array
-   - redesigned browsing support
-
- */
-
 
 #include "invbrowserclass.h"
Index: /trunk/gsdl/src/recpt/invbrowserclass.h
===================================================================
--- /trunk/gsdl/src/recpt/invbrowserclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/invbrowserclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/librarymain.cpp
===================================================================
--- /trunk/gsdl/src/recpt/librarymain.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/librarymain.cpp	(revision 1285)
@@ -22,109 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.28  2000/07/05 21:49:32  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.27  2000/06/23 03:21:39  sjboddie
-   Created converter classes for simple 8 bit encodings that use a
-   simple textual map file. Instances of these classes are used to handle
-   the Windows 1256 (Arabic) encoding.
-
-   Revision 1.26  2000/05/29 03:30:03  sjboddie
-   fixed a bug preventing GB encoded text from being displayed correctly
-   (bug showed up in Chinese collection)
-
-   Revision 1.25  2000/04/14 02:52:05  sjboddie
-   tidied up error messaging and set up some debugging info to be output
-   when running library from command line
-
-   Revision 1.24  2000/02/29 20:59:02  sjboddie
-   added error message when unable to read from collect directory - should
-   probably write this out to a web page too
-
-   Revision 1.23  2000/02/21 21:59:37  sjboddie
-   gsdlhome now comes from gsdlsite.cfg
-
-   Revision 1.22  2000/02/17 02:35:48  sjboddie
-   tidied up a bit
-
-   Revision 1.21  2000/02/15 22:53:51  kjm18
-   search history stuff added.
-
-   Revision 1.20  1999/12/13 02:46:56  davidb
-   Teach buildaction about recptionist
-
-   Revision 1.19  1999/11/01 21:58:49  sjboddie
-   no longer set receptionist for some actions that used to
-
-   Revision 1.18  1999/10/25 22:29:31  sjboddie
-   receptionist now checks collect diectory for collections
-   rather than collections.txt file
-
-   Revision 1.17  1999/10/19 03:23:43  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.16  1999/10/18 20:07:33  sjboddie
-   added htmlbrowserclass
-
-   Revision 1.15  1999/10/14 23:03:10  sjboddie
-   another browser
-
-   Revision 1.14  1999/10/10 08:14:09  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.13  1999/09/16 21:39:35  sjboddie
-   added gb converters
-
-   Revision 1.12  1999/09/14 22:42:06  sjboddie
-   included utf8 converter
-
-   Revision 1.11  1999/09/14 22:03:27  sjboddie
-   now reads in collections from a file to avoid recompiling
-
-   Revision 1.10  1999/09/08 00:51:11  sjboddie
-   removed old interface stuff
-
-   Revision 1.9  1999/09/07 04:56:56  sjboddie
-   added GPL notice
-
-   Revision 1.8  1999/07/15 06:08:55  rjmcnab
-   Moved the adding of the actions to librarymain so that they can
-   be overriden easier.
-
-   Revision 1.7  1999/06/15 01:56:12  sjboddie
-   Got multiple collections working
-
-   Revision 1.6  1999/05/10 03:40:39  sjboddie
-   lots of changes - slowly getting document action sorted out
-
-   Revision 1.5  1999/04/19 23:56:10  rjmcnab
-   Finished the gdbm metadata stuff
-
-   Revision 1.4  1999/04/12 03:45:05  rjmcnab
-   Finished the query filter.
-
-   Revision 1.3  1999/04/06 22:20:35  rjmcnab
-   Got browsefilter working.
-
-   Revision 1.2  1999/03/05 03:53:54  sjboddie
-
-   fixed some bugs
-
-   Revision 1.1  1999/02/21 22:35:22  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "receptionist.h"
@@ -309,7 +205,2 @@
   return 0;
 }
-
-
-
-
-
Index: /trunk/gsdl/src/recpt/nullproto.cpp
===================================================================
--- /trunk/gsdl/src/recpt/nullproto.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/nullproto.cpp	(revision 1285)
@@ -22,57 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.12  1999/12/05 21:23:39  sjboddie
-   support for multiple gsdlhomes and gdbmhomes
-
-   Revision 1.11  1999/10/25 22:29:32  sjboddie
-   receptionist now checks collect diectory for collections
-   rather than collections.txt file
-
-   Revision 1.10  1999/10/19 03:23:43  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.9  1999/09/07 04:56:56  sjboddie
-   added GPL notice
-
-   Revision 1.8  1999/06/27 22:04:47  sjboddie
-   now read in build.cfg before collect.cfg so that the indexmaps
-   are available if required to decode defaultindex, defaultsubcollection,
-   and defaultlanguage
-
-   Revision 1.7  1999/06/15 02:16:45  sjboddie
-   small change to prevent collectdir configuration string from being passed
-   to everything
-
-   Revision 1.6  1999/05/10 03:40:41  sjboddie
-   lots of changes - slowly getting document action sorted out
-
-   Revision 1.5  1999/04/30 01:59:41  sjboddie
-   lots of stuff - getting documentaction working (documentaction replaces
-   old browseaction)
-
-   Revision 1.4  1999/03/31 23:44:48  rjmcnab
-   Altered the protocol so that the metadata is part of the filter.
-
-   Revision 1.3  1999/03/03 23:26:35  sjboddie
-
-   Implemented more of the protocol
-
-   Revision 1.2  1999/02/25 21:58:58  rjmcnab
-
-   Merged sources.
-
-   Revision 1.1  1999/02/21 22:35:22  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "nullproto.h"
Index: /trunk/gsdl/src/recpt/nullproto.h
===================================================================
--- /trunk/gsdl/src/recpt/nullproto.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/nullproto.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
